Package pyamf :: Package adapters :: Module _django_db_models_base :: Class DjangoClassAlias

[hide private]
[frames] | no frames]

# Class DjangoClassAlias

source code

Instance Methods | [hide private]

getAttrs(self, obj, codec=None) Returns a tuple of lists, static and dynamic attrs to encode. | source code

_encodeValue(self, field, value) | source code

_decodeValue(self, field, value) | source code

getAttributes(self, obj, codec=None) Returns a collection of attributes for an object. | source code

applyAttributes(self, obj, attrs, codec=None) Applies the collection of attributes `attrs` to aliased object `obj`. | source code

Inherited from `ClassAlias`: `__eq__`, `__hash__`, `__init__`, `__repr__`, `__str__`, `createInstance` Inherited from `ClassAlias` (private): `_getAttrs` Inherited from `object`: `__delattr__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Methods | [hide private]

Inherited from `ClassAlias`: `checkClass`

Instance Variables | [hide private]

Inherited from `ClassAlias`: `attrs`, `metadata`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### getAttrs(self, obj, codec=None)

source code

Returns a tuple of lists, static and dynamic attrs to encode.

Parameters:
  - `codec` - An optional argument that will contain the en/decoder instance calling this function.
Overrides: ClassAlias.getAttrs
  (inherited documentation)

### getAttributes(self, obj, codec=None)

source code

Returns a collection of attributes for an object. Returns a `tuple` containing a dict of static and dynamic attributes

Parameters:
  - `codec` - An optional argument that will contain the en/decoder instance calling this function.
Overrides: ClassAlias.getAttributes
  (inherited documentation)

### applyAttributes(self, obj, attrs, codec=None)

source code

Applies the collection of attributes `attrs` to aliased object `obj`. It is mainly used when reading aliased objects from an AMF byte stream.

Parameters:
  - `codec` - An optional argument that will contain the en/decoder instance calling this function.
Overrides: ClassAlias.applyAttributes
  (inherited documentation)